Unable to find cdrecord executable

Bug #1680711 reported by corrado venturini on 2017-04-07
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
k3b (Ubuntu)
High
Unassigned
Zesty
High
Unassigned

Bug Description

I have a new error starting K3b on ubuntu 17.04 Zesty. K3B works fine on Ubuntu 16.04 Xenial

Unable to find cdrecord executable
K3b uses cdrecord to actually write CDs.
Solution: Install the cdrtools package which contains cdrecord.

corrado@corrado-z-feb27:~$ apt-cache policy cdrtool*
cdrtools-doc:
  Installed: (none)
  Candidate: (none)
  Version table:
corrado@corrado-z-feb27:~$ apt-cache policy cdrecor*
cdrecord:
  Installed: (none)
  Candidate: (none)
  Version table:
corrado@corrado-z-feb27:~$ uname -a
Linux corrado-z-feb27 4.10.0-15-generic #17-Ubuntu SMP Fri Mar 24 17:51:38 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
corrado@corrado-z-feb27:~$

K3b just installed using Synaptic

Commit Log for Fri Apr 7 06:48:15 2017

Installed the following packages:
catdoc (1:0.94.3~git20160113.dbc9ec6+dfsg-1)
cdparanoia (3.10.2+debian-11)
cdrdao (1:1.2.3-3)
cdrskin (1.4.6-1)
dvd+rw-tools (7.1-11.1)
growisofs (7.1-11.1)
k3b (2.0.3a+git20170325-0ubuntu1)
k3b-data (2.0.3a+git20170325-0ubuntu1)
libburn4 (1.4.6-1)
libepub0 (0.2.2-4build1)
libflac++6v5 (1.3.2-1)
libiso9660-8 (0.83-4.2ubuntu1)
libk3b7 (2.0.3a+git20170325-0ubuntu1)
libk3b7-extracodecs (2.0.3a+git20170325-0ubuntu1)
libkf5bookmarks-data (5.31.0-0ubuntu1)
libkf5bookmarks5 (5.31.0-0ubuntu1)
libkf5cddb5 (4:16.12.3-0ubuntu1)
libkf5filemetadata-bin (5.31.0-0ubuntu1)
libkf5filemetadata-data (5.31.0-0ubuntu1)
libkf5filemetadata3 (5.31.0-0ubuntu1)
libkf5kcmutils-data (5.31.0-0ubuntu1)
libkf5kcmutils5 (5.31.0-0ubuntu1)
libkf5kiofilewidgets5 (5.31.0-0ubuntu2)
libkf5newstuff-data (5.31.0-0ubuntu1)
libkf5newstuff5 (5.31.0-0ubuntu1)
libkf5newstuffcore5 (5.31.0-0ubuntu1)
libkf5notifyconfig-data (5.31.0-0ubuntu1)
libkf5notifyconfig5 (5.31.0-0ubuntu1)
libmusicbrainz5cc2v5 (5.1.0+git20150707-6)
libperl4-corelibs-perl (0.003-2)
libqt5quickwidgets5 (5.7.1-1ubuntu1~7)
libvcdinfo0 (0.7.24+dfsg-0.2)
libzip4 (1.1.2-1.1)
qml-module-org-kde-newstuff (5.31.0-0ubuntu1)
vcdimager (0.7.24+dfsg-0.2)

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: k3b 2.0.3a+git20170325-0ubuntu1
ProcVersionSignature: Ubuntu 4.10.0-15.17-generic 4.10.5
Uname: Linux 4.10.0-15-generic x86_64
ApportVersion: 2.20.4-0ubuntu3
Architecture: amd64
CurrentDesktop: Unity:Unity7
Date: Fri Apr 7 08:17:17 2017
ExecutablePath: /usr/bin/k3b
InstallationDate: Installed on 2017-02-27 (38 days ago)
InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Alpha amd64 (20170227)
SourcePackage: k3b
UpgradeStatus: No upgrade log present (probably fresh install)

On Ubuntu Xenial K3b does not need cdrecord?

corrado@corrado-xeni-prova:~$ apt-cache policy cdrtool*
cdrtools-doc:
  Installed: (none)
  Candidate: (none)
  Version table:
corrado@corrado-xeni-prova:~$ apt-cache policy cdrecor*
cdrecord:
  Installed: (none)
  Candidate: (none)
  Version table:
corrado@corrado-xeni-prova:~$ apt-cache policy k3b*
k3b:
  Installed: 2.0.3-0ubuntu5
  Candidate: 2.0.3-0ubuntu5
  Version table:
 *** 2.0.3-0ubuntu5 500
        500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
        100 /var/lib/dpkg/status
k3b-data:
  Installed: 2.0.3-0ubuntu5
  Candidate: 2.0.3-0ubuntu5
  Version table:
 *** 2.0.3-0ubuntu5 500
        500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
        500 http://archive.ubuntu.com/ubuntu xenial/universe i386 Packages
        100 /var/lib/dpkg/status
k3b-dbg:
  Installed: (none)
  Candidate: 2.0.3-0ubuntu5
  Version table:
     2.0.3-0ubuntu5 500
        500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
k3b-extrathemes:
  Installed: (none)
  Candidate: 2.0.3-0ubuntu5
  Version table:
     2.0.3-0ubuntu5 500
        500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
        500 http://archive.ubuntu.com/ubuntu xenial/universe i386 Packages
k3b-i18n:
  Installed: (none)
  Candidate: 2.0.3-0ubuntu5
  Version table:
     2.0.3-0ubuntu5 500
        500 http://archive.ubuntu.com/ubuntu xenial/universe amd64 Packages
        500 http://archive.ubuntu.com/ubuntu xenial/universe i386 Packages
corrado@corrado-xeni-prova:~$

adding attachment with apt-cache show k3b
on Xenial - Version: 2.0.3-0ubuntu5
and Zesty - Version: 2.0.3a+git20170325-0ubuntu1

On 07/04/17 07:31, corrado venturini wrote:
> Public bug reported:
>
> I have a new error starting K3b on ubuntu 17.04 Zesty. K3B works fine on
> Ubuntu 16.04 Xenial
>
> Unable to find cdrecord executable
> K3b uses cdrecord to actually write CDs.
> Solution: Install the cdrtools package which contains cdrecord.

Thank you for reporting this. :)

cdrecord binary/link is actually provided by the wodim package on ubuntu.

Installing that should solve the issue.

cdrtools itself was dropped from debian and ubuntu and some other distros

In this case as newer k3b has more support for cdrskin this was added as
an explicit runtime dependency of k3b, but it seems that breaks the
depends 'wodim OR cdrskin' logic from previous versions meaning wodim
(and hence /usr/bin/cdrecord) are not installed.

So for now we should change that so wodim is still installed by default,
as seems that is still needed for on the fly burning.

Could maybe look at asking upstream is that warning message can be
tweaked a bit to take account of the fact that cdrecord binary/link is
provided only by wodim now on many distros.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in k3b (Ubuntu):
status: New → Confirmed
Rik Mills (rikmills) on 2017-04-07
Changed in k3b (Ubuntu):
importance: Undecided → High
Rik Mills (rikmills) wrote :

Confirm that cdrskin dependency is still not enough on it's own for this version of k3b. wodim is still needed, otherwise burning an iso for example will not proceed.

Rik Mills (rikmills) on 2017-04-07
tags: added: kubuntu
Changed in k3b (Ubuntu Zesty):
milestone: none → ubuntu-17.04
Rik Mills (rikmills) wrote :

Confirmed in a VM that of a fresh zesty install the updated package:

https://launchpad.net/~kubuntu-ppa/+archive/ubuntu/staging-misc/+sourcepub/7663362/+listing-archive-extra

solves the warning.

Confirmed on my local zesty system that this solves not just that (after removing wodim and letting it get pulled back in by the update), but can successfully burn an iso again with default options.

Rik Mills (rikmills) on 2017-04-07
Changed in k3b (Ubuntu Zesty):
status: Confirmed → Fix Committed

Thanks a lot! this may be a record for bug solving time!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package k3b - 2.0.3a+git20170325-0ubuntu2

---------------
k3b (2.0.3a+git20170325-0ubuntu2) zesty; urgency=medium

  * Make sure that wodim (for /usr/bin/cdrecord) is installed as
    dependency, as this still seems to be needed for 'on-the-fly' burning.
    New better support for cdrskin is not enough. (LP: #1680711)

 -- Rik Mills <email address hidden> Fri, 07 Apr 2017 10:19:43 +0100

Changed in k3b (Ubuntu Zesty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers